/* 
 * Copyright (c) 1995
 *       Whitehead Institute for Biomedical Research. All rights reserved.
 *
 * Released under terms specified in the Copyright file present in the top
 * directory of this distribution.
 */


// $Id: id_tag_element.H,v 1.3 1995/02/13 17:49:41 steve Exp $
#ifndef ID_TAG_ELEMENT_H
#define ID_TAG_ELEMENT_H

// This file exists because the definition of Id_Tag_Element is required by
// only step.C and collated_tags.C.  It is required by neither the clients of
// step.H nor of collated_tags.H

class Id_Tag_Element {
  friend class Collated_Tags;
public:
  Id_Tag_Element(QL_DD_Tag_Entry* tag_entry, Value* tv)
    : _tag_entry(tag_entry), _tv(tv) {}
  SLOT(QL_DD_Tag_Entry*,tag_entry);
  SLOT(Value*,tv);
};

Listdeclare(Id_Tag_Element);
#endif
