/* 
 * Copyright (c) 1995
 *       Whitehead Institute for Biomedical Research. All rights reserved.
 *
 * Released under terms specified in the Copyright file present in the top
 * directory of this distribution.
 */


#ifndef QL_BUILTIN_IMPL_H
#define QL_BUILTIN_IMPL_H

#ifndef BASICS_H
#include "basics.H"
#endif

#ifndef BUILTIN_H
#include "builtin.H"
#endif

typedef QL_Iterator_State* (*Write_implementation)(QL_Term*);

class QL_Builtin_Implementation
{
public:
  QL_Builtin_Implementation(Builtin_First_Fn f1,Builtin_Next_Fn f2) :
   _implementation_of_first(f1),_implementation_of_next(f2) {}
  SLOT(Builtin_First_Fn,implementation_of_first);
  SLOT(Builtin_Next_Fn,implementation_of_next);
};
#endif
