/* 
 * Copyright (c) 1995
 *       Whitehead Institute for Biomedical Research. All rights reserved.
 *
 * Released under terms specified in the Copyright file present in the top
 * directory of this distribution.
 */


// $Id: texas_imp_code.C,v 1.2 1995/02/13 17:51:21 steve Exp $
// Implementation-dependent code to be executed
// at the begining and end of main().  By
// implementation-dependent we mean that it
// depeneds on the database being used.

#if defined(TEXAS)
#include "texas.hh"
#endif

void main_start(int argc, char** argv)
{
#if defined(TEXAS)
  TEXAS_MAIN_INIT(argc,argv);
#endif
}


void main_end(int, char**)
{
#if defined(TEXAS)
  TEXAS_MAIN_UNINIT();
#endif
}

